# IO_ParticleSystemUpdater.cpp File Reference

`#include <osgParticle/ParticleSystemUpdater>`
`#include <osg/ref_ptr>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_ParticleSystemUpdater.cpp:

## Functions

bool | PSU_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | PSU_writeLocalData (const osg::Object &obj, osgDB::Output &fr)

## Variables

osgDB::RegisterDotOsgWrapperProxy | PSU_Proxy (new osgParticle::ParticleSystemUpdater,"ParticleSystemUpdater","Object Node ParticleSystemUpdater", PSU_readLocalData, PSU_writeLocalData)

## Function Documentation

bool PSU_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool PSU_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fr
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy PSU_Proxy(new osgParticle::ParticleSystemUpdater,"ParticleSystemUpdater","Object Node ParticleSystemUpdater", PSU_readLocalData, PSU_writeLocalData)